using UnityEngine;
using System.Collections;

public class LoadLevelGUIScript : MonoBehaviour {

	// Use this for initialization
	void Start () {
		PlayerPrefs.SetInt("unlockedlevel1", 1);
	}
	
	// Update is called once per frame
	void Update () {
	
	}
	
	void OnGUI() {
		GUILayout.BeginArea( new Rect( Screen.width / 2 - 100, Screen.height / 2 - 100, 200, 200) );
		GUILayout.FlexibleSpace();
		
		for( int i=1; i < 99; i++ ) {
			if( PlayerPrefs.GetInt("unlockedlevel"+i, 0) == 1 ) {
				if( GUILayout.Button("Level "+i) ) {
					LoadLevel(i);
				}
			}
		}
		
		GUILayout.FlexibleSpace();
		GUILayout.EndArea();
	}
	
	void LoadLevel(int levelNumber) {
		Application.LoadLevel("level" + levelNumber);
	}
	
}
